Bug 654826 - mail-notification Crashes when you Select Add button if evolution not installed
Summary: mail-notification Crashes when you Select Add button if evolution not installed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mail-notification
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 648048 649606 667580 677027 701073 709128 712021 725179 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-18 20:19 UTC by Andy Campbell
Modified: 2012-08-16 22:31 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:31:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 629878 None None None Never

Description Andy Campbell 2010-11-18 20:19:45 UTC
Description of problem:

mail-notification crashes when Add button selected to add mail boxes if evolution package has been removed.

If you from a terminal output is ....


[setup@sirius Desktop]$ /usr/bin/mail-notification

(mail-notification:3202): Gtk-WARNING **: Error loading theme icon 'evolution' for stock: Icon 'evolution' not present in theme

(mail-notification:3202): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(mail-notification:3202): Gtk-CRITICAL **: gtk_default_render_icon: assertion `base_pixbuf != NULL' failed

(mail-notification:3202): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

(mail-notification:3202): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(mail-notification:3202): Gtk-WARNING **: Error loading theme icon 'evolution' for stock: Icon 'evolution' not present in theme

(mail-notification:3202): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** CRITICAL **: clearlooks_style_draw_render_icon: assertion `base_pixbuf != NULL' failed
aborting...
Aborted (core dumped)



Version-Release number of selected component (if applicable):

mail-notification-5.4-25.fc14.x86_64

How reproducible:

Every time 

Steps to Reproduce:
1. yum remove evolution
2. Run mail-notification
3. Select Add button
  
Actual results:

App crashes

Expected results:

New window appears allowing mail boxes to monitor to be added.

Additional info:

I guess minimum fix is add a dependency for evolution for mail-notification package.

Comment 1 Dmitry Butskoy 2010-11-22 16:47:15 UTC
The problem is when MN is compiled with evolution support, it uses an "evolution" icon in the main code (not in mail-notification-evolution-plugin), hence if evo is not installed, the correspond icon is not present at all...

I think a better fix is to change the "evolution" icon to some another one (if it is possible to find such an icon in the "standard" icons...)

Comment 2 Dmitry Butskoy 2011-01-06 13:29:26 UTC
*** Bug 667580 has been marked as a duplicate of this bug. ***

Comment 3 Dmitry Butskoy 2011-01-17 15:31:49 UTC
*** Bug 648048 has been marked as a duplicate of this bug. ***

Comment 4 Dmitry Butskoy 2011-01-17 15:33:20 UTC
*** Bug 649606 has been marked as a duplicate of this bug. ***

Comment 5 Sean Dennis 2011-01-30 17:43:30 UTC
Package: mail-notification-5.4-25.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I simply opened the application after installing it.
2.
3.


Comment
-----
There was not an email client installed on my system when I started the application initially.

Comment 6 Gary Myers 2011-02-06 13:29:00 UTC
Dmitry, your theory is confirmed. I have just installed Evolution and I can now add/change the mail-notification settings.

This should have been picked up in the dependency list, or as you say, use an alternative icon. The latter would be preferred as I do not use Evolution and do not normally install it.

Comment 7 Ovidiu Ratoi 2011-02-10 12:45:44 UTC
Package: mail-notification-5.4-25.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I have installed mail-notification
2. Open mail-notification from System -> Preferences -> Mail Notification
3. Press "Add" button on the first tab, to add one e-mail account, and the cresh happend 



Comment
-----
I have tried several times to add one e-mail account and each time the same cresh happend

Comment 8 filip.slunecko 2011-02-10 17:19:06 UTC
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I had on one accout bad password
2. I tried to change it.
3. It crashed when i hit the propreties button.

Comment 9 Dmitry Butskoy 2011-02-14 13:42:05 UTC
*** Bug 677027 has been marked as a duplicate of this bug. ***

Comment 10 Fedora Update System 2011-02-17 17:27:17 UTC
mail-notification-5.4-33.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mail-notification-5.4-33.fc15

Comment 11 Fedora Update System 2011-02-17 17:36:40 UTC
mail-notification-5.4-26.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mail-notification-5.4-26.fc14

Comment 12 Szabo Akos 2011-02-18 11:47:10 UTC
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Changing net
2.
3.

Comment 13 Fedora Update System 2011-02-26 03:57:33 UTC
mail-notification-5.4-26.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-03 02:42:13 UTC
mail-notification-5.4-33.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Dmitry Butskoy 2011-05-03 10:34:07 UTC
*** Bug 701073 has been marked as a duplicate of this bug. ***

Comment 16 Erik van Pienbroek 2011-05-22 18:07:56 UTC
The real cause of this issue seems to be a regression introduced in gtk 2.21.8 and above. Normally, when a image can not be found, gtk should render a fallback image (the 'missing' image). Apparently, this situation doesn't seem to work anymore as of gtk 2.21.8 (as well as gtk3). I've just proposed a patch upstream which should fix this issue. https://bugzilla.gnome.org/show_bug.cgi?id=629878

Comment 17 Dmitry Butskoy 2011-06-07 12:12:57 UTC
*** Bug 709128 has been marked as a duplicate of this bug. ***

Comment 18 Dmitry Butskoy 2011-06-14 12:22:07 UTC
*** Bug 712021 has been marked as a duplicate of this bug. ***

Comment 19 Dmitry Butskoy 2011-07-25 13:19:29 UTC
*** Bug 725179 has been marked as a duplicate of this bug. ***

Comment 20 Fedora End Of Life 2012-08-16 22:31:53 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.